Subject: Curses v1.01 now available
From: William P Setzer <[email-masked]>
Date: 15 Dec 1996 20:01:44 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc

Curses v1.01, the dynamic loadable curses module for perl5, has been
uploaded to PAUSE, so you should soon be able to get it at any CPAN
archive.  (You can also still get it at the original site I provided,
but I'm trying to phase that out.  CPAN is much better at this.)
If you don't know what CPAN is, point your browser to:

   http://www.perl.com/CPAN/CPAN.html

New in 1.01:

   o Makefile.PL expanded!  If you do a simple "perl Makefile.PL" now,
     it will try to set up defaults for you.  Hopefully, this'll work
     for most people.

   o VMS support!  Courtesy of Peter Prymmer.  [VMS folks: see below]

   o Version consistency checks added.

   o DEC OSF1 (v3.2) hints file.

   o DGUX hints file.

   o Dynix/PTX hints file. (Forgot to add to the README.)

   o Bug fix in test.syms to make it behave better if dropped in ext/.

   o Bug fix in Curses.c, savetty().

   o Hints file for SunOS/ncurses.

   o More INSTALL info (ExtUtils::testlib, ncurses keyname() compile warning)

   o New LINES/COLS functions to complement the stdscr/curscr ones.
     According to Steven Kunz, these variables are all that aren't
     available when Curses to be compiled with the C backend of
     Malcolm Beattie's (excellent) compiler (alpha 3).

   o Renames to conform to hints osname:
       c-osf1.h   => c-dec_osf.h
       c-sco42.h  => c-sco.h

Enjoy!

William Setzer
[email-masked]

[ Note to VMS folks: I know I've gotten at least one thing wrong.  The
  automatic "set the defaults" code uses UNIX-isms, and will probably
  not find the hint file to make your "c-config.h".  You'll need to do
  it by hand, per the INSTALL instructions. A patch for this condition
  would be greatly appreciated.

  Also, I guessed on some of the code for "test.syms".  Let me know if
  it gives you trouble. ]